Tag: pip

Pip не собирает пользовательский набор cmdclass

поэтому я нашел этот ответ на мой точный вопрос, но по какой-то причине он не работает: $ cat /tmp/testinstall/setup.py : from setuptools.command.install import install from setuptools import setup class verifying_install(install): def run(self): print "running…….." install.run(self) print "verifying…….." setup(name='test', version='1', py_modules=['test'], include_package_data=True, zip_safe=True, cmdclass={'install': verifying_install} ) Но тогда, даже если setup.py install работает :: ➜ /tmp/testinstall […]

OSX: ошибка при установке пакетов python

В настоящее время я не могу установить пакеты Python из-за ошибки gcc-4.0. Я скопирую два примера ошибки, которую я получаю (один с pip , другой с ручным setup.py build / install): sgarza62$ pip install PIL Downloading/unpacking PIL Running setup.py egg_info for package PIL WARNING: '' not a valid package name; please use only.-separated package names […]

Проблема с easy_install-2.7

После установки easy_install и попытки использовать его, чтобы установить пакет python, он терпит неудачу. [root@server]# easy_install-2.7 pip Searching for pip Reading http://pypi.python.org/simple/pip/ Download error on http://pypi.python.org/simple/pip/: unknown url type: https — Some packages may not be found! Кажется, я получаю перенаправление curl -IL http://pypi.python.org/simple/pip/ HTTP/1.1 301 Moved Permanently Retry-After: 0 Location: https://pypi.python.org/simple/pip/ Content-Length: 0 Accept-Ranges: […]

Юг: Неизвестная команда 'migrate'

Я становлюсь безжалостным $ python manage.py migrate Unknown command: 'migrate' Type 'manage.py help' for usage. Я вытащил код из github на новый компьютер. Этот код протестирован и работает на других компьютерах. Весь код работает отлично, за исключением того, что я не могу запускать миграции! Установил мою виртуальную среду и pip install -r requirements.txt . Он […]

«ImportError: нет модуля с именем« запросы »после установки с помощью pip

Я получаю ImportError : no module named 'requests' . Но я установил пакет requests с помощью requests на pip install requests команды pip install requests . При запуске команды pip freeze в командной строке, результат будет requests==2.7.0 Итак, почему возникает такая ошибка при запуске файла python?

Установите Scipy с MKL через PIP

Я использую PIP для установки Scipy с MKL для ускорения работы. Моя ОС – 64-битный Ubuntu. Используя решение этого вопроса , я создаю файл .numpy-site.cfg [mkl] library_dirs=/opt/intel/composer_xe_2013_sp1/mkl/lib/intel64/ include_dirs=/opt/intel/mkl/include/ mkl_libs=mkl_intel_lp64,mkl_intel_thread,mkl_core,mkl_rt lapack_libs= Этот файл помогает мне успешно установить Numpy с MKL. Однако, используя тот же файл выше, установка Scipy вызывает ошибку ImportError: libmkl_rt.so: cannot open shared object […]

Ошибка при установке pycurl 7.19.0

Мне нужно установить эту конкретную версию (7.19.0) pycurl. Когда я пытаюсь установить с помощью этой команды: pip install pycurl == 7.19.0 Я получаю эту ошибку. Failed building wheel for pycurl Running setup.py clean for pycurl Failed to build pycurl Installing collected packages: pycurl ….. // MULTIPLE LINES build/temp.linux-x86_64-2.7/src/pycurl.o: na função `initpycurl': /tmp/pip-build-4Q4V7Q/pycurl/src/pycurl.c:3904: referência indefinida para […]

Больше не могу использовать pip

Когда я пытаюсь использовать pip, я встретил эту ошибку: Traceback (most recent call last): File "/usr/local/bin/pip", line 9, in <module> load_entry_point('pip==1.0.2', 'console_scripts', 'pip')() File "/usr/local/lib/python2.6/dist-packages/distribute-0.6.21-py2.6.egg/pkg_resources.py", line 337, in load_entry_point return get_distribution(dist).load_entry_point(group, name) File "/usr/local/lib/python2.6/dist-packages/distribute-0.6.21-py2.6.egg/pkg_resources.py", line 2281, in load_entry_point return ep.load() File "/usr/local/lib/python2.6/dist-packages/distribute-0.6.21-py2.6.egg/pkg_resources.py", line 1996, in load raise ImportError("%r has no %r attribute" % (entry,attr)) ImportError: […]

Anaconda: невозможно импортировать pylab

Я не могу import pylab используя последнюю версию Anaconda (Linux 64 бит). Другие пакеты работают нормально. (Примечание: у меня нет доступа sudo ) In [1]: import pylab as pl ————————————————————————— ImportError Traceback (most recent call last) <ipython-input-6-2cf12a0af6ff> in <module>() —-> 1 import pylab as pl /home/josh/installs/conda/1.7.0/lib/python2.7/site-packages/pylab.py in <module>() —-> 1 from matplotlib.pylab import * 2 […]

как мы можем установить opencv на anaconda?

Я попытался установить OpenCV на Anaconda pip install cv2 pip install opencv conda install opencv conda install -c https://conda.binstar.org/jjhelmus opencv (здесь ссылка Anaconda не находит модуль cv2 ) но все провалилось. Кто-нибудь знает, как установить это?

Python - лучший язык программирования в мире.